#!/bin/bash
# Copyright © 2020 symphonic-mpd Research and Development Club

cd /etc/systemd/network
#ln -fs eth0.network.$1 eth0.network
ln -fs eth0.network.$1 20-wired.network

mpc stop > /dev/null

sleep 0.8
systemctl restart pipe

# toggle socket
SOCK=`readlink /etc/systemd/system/mpd.socket`
SOCK=${SOCK#*/mpd-}
SOCK=${SOCK%.socket}
if [ ! "$SOCK" = "$2" ];then
  systemctl stop mpd.socket
  systemctl disable mpd.socket
  systemctl enable mpd-$2.socket
  systemctl stop mpd
  systemctl start mpd.socket
fi

exit $?
