#!/bin/bash
# Copyright © 2020 symphonic-mpd Research and Development Club

systemctl stop spotifyd
sleep 0.4
systemctl daemon-reload
systemctl start spotifyd
sleep 1.2

if [ `systemctl status spotifyd|grep "status=101"|wc -l` -gt 0 ];then
  systemctl disable spotifyd > /dev/null
  echo "Error: Spotify Connect Service startup failed."
else
  systemctl enable spotifyd > /dev/null
fi

exit $?
