#!/bin/bash
# Copyright © 2020 symphonic-mpd Research and Development Club

echo "<pre>"
pstree -Uclntp
echo "</pre><pre>"
df -BM -T -xdevtmpfs -xtmpfs -l |sed -z 's/\n/<br>/g'
echo "</pre>"

used_root=` df -h | grep "/dev/root" | awk '{ print $5 }' | sed -e '$s/.$//' `
if [ $used_root -gt 80 ];then
    echo "<div class='alert alert-danger' role='alert'>Disk utilization has exceeded 80%.</div>"
fi

exit 0
