#!/bin/bash
# Copyright © 2020 symphonic-mpd Research and Development Club

LOG="/var/lib/mpd/music/RAM/.aoe.out"
PARAM=$1

case "$PARAM" in
  "lsaoe" )
    `rm -f /run/report;kill -USR1 $(pidof aoe);sleep 0.7;cat /run/report > $LOG`
    sleep 0.5
    echo "---" >> $LOG
  ;;
  "aoestat" )
    `rm -f /run/report;kill -USR2 $(pidof aoe);sleep 0.5;head -n8 /run/report > $LOG`
    sleep 0.5
    echo "---" >> $LOG
  ;;
  "aoereset" )
     `kill -RTMIN $(pidof aoe) > $LOG`
     sleep 0.5
     echo "---" >> $LOG
  ;;
  dreq* )
    ARR=(${PARAM//,/ })
    `amixer sset dreq ${ARR[1]} > $LOG`
    echo "---" >> $LOG
  ;;
  recv* )
    ARR=(${PARAM//,/ })
    `amixer sset recv ${ARR[1]} > $LOG`
    echo "---" >> $LOG
  ;;
  "aoesshon" )
    kill -RTMAX-14 $(pidof aoe)
  ;;
  "aoesshoff" )
    kill -RTMAX-13 $(pidof aoe)
  ;;
  "aoereboot" )
    kill -RTMAX-11 $(pidof aoe)
  ;;
  "aoeshutdown" )
    kill -RTMAX-12 $(pidof aoe)
  ;;
esac

exit
